using QtCNETAPI.Enums;
using System.Text.Json.Serialization;

namespace QtCNETAPI.Schema
{
    public class StoreItem
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("Type")]
        public StoreItemType Type { get; set; }
        [JsonPropertyName("Price")]
        public int Price { get; set; }
        [JsonPropertyName("Name")]
        public string Name { get; set; } = string.Empty;
        [JsonPropertyName("Description")]
        public string Description { get; set; } = string.Empty;
        [JsonPropertyName("AssetUrl")]
        public string AssetUrl { get; set; } = string.Empty;
        [JsonPropertyName("ThumbnailUrl")]
        public string ThumbnailUrl { get; set; } = string.Empty;
    }
}
